PHP Manual
Prev |  | Next

# oci_password_change

(PHP 5)

oci_password_change -- Changes password of Oracle's user

## Description

bool oci_password_change ( resource connection, string username, string old_password, string new_password )
resource oci_password_change ( string dbname, string username, string old_password, string new_password )

Changes password for user with `username`.

## Parameters

`connection`

  An Oracle connection identifier, returned by oci_connect() or oci_pconnect().

`username`

  The Oracle user name.

`old_password`

  The old password.

`new_password`

  The new password to be set.

`dbname`

  The database name.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## Notes

> Note: The second oci_password_change() syntax is available since version 1.1.

> Note: In PHP versions before 5.0.0 you must use ocipasswordchange() instead. This name still can be used, it was left as alias of oci_password_change() for downwards compatability. This, however, is deprecated and not recommended.

Prev | Home | Next
oci_parse | Up | oci_pconnect